//
//  UniversalExampleAppDelegate.m
//  UniversalExample
//
//  Created by Brad Larson on 4/12/2010.
//

#import "UniversalExampleAppDelegate.h"
#import "UniversalExampleDetailViewController.h"
#import "UniversalExampleTableViewController.h"

@implementation UniversalExampleAppDelegate

@synthesize window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions 
{
	UniversalExampleTableViewController *tableViewController = [[UniversalExampleTableViewController alloc] initWithNibName:@"UniversalExampleTableViewController" bundle:nil];
	navigationController = [[UINavigationController alloc] initWithRootViewController:tableViewController];
	[tableViewController release];
	
    if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad)
	{
		UISplitViewController *newSplitViewController = [[UISplitViewController alloc] init];

		UniversalExampleDetailViewController *detailViewController = [[UniversalExampleDetailViewController alloc] initWithNibName:@"UniversalExampleViewController" bundle:nil];
		newSplitViewController.viewControllers = [NSArray arrayWithObjects:navigationController, detailViewController, nil];
		newSplitViewController.delegate = detailViewController;
		[detailViewController release];

		[window addSubview:newSplitViewController.view];
		splitViewController = newSplitViewController;
	}
	else
	{
		[window addSubview:navigationController.view];
	}
	
    [window makeKeyAndVisible];
	[window layoutSubviews];
	
	return YES;
}


- (void)dealloc {
	[splitViewController release];
    [navigationController release];
    [window release];
    [super dealloc];
}


@end
